
QGIS Application - Bug report #11267

Download Osm Data Fails if you open first a OpenLayers map

2014-09-24 03:15 PM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: Analysis library

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 19566

Description

Step 1 : Web > OpenLayers > Statem toner map, or other map

Step 2 : vector > openstreetmap > Download Data

i am not sure what projection does it change this, but it result in the incapacity of osm plugin to download the data

Download failed.

Error downloading http://overpass-api.de/api/interpreter?data=(node(5.52964e+06,2.90449e+06,5.53221e+06,2.90929e+06);%3C;);out;

- server replied: Bad Request

History

#1 - 2014-11-16 07:08 AM - Andre Joost

- Target version set to Future Release - High Priority

For correct usage of the plugin, it is necessary to enable on-the-fly-reprojection and project CRS set to EPSG:3857 for Openlayers background. Then the

coordinates are internally reprojected correctly to WGS84.

I suggest to let the plugin set On-the-fly-reprojection itself, or issue a warning that the bounds can not be computed without it.

#2 - 2017-01-02 01:49 AM - Giovanni Manghi

- Category changed from C++ Plugins to Analysis library

#3 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-01-16 07:05 AM - Nyall Dawson

- Status changed from Open to Closed

- Description updated

- Resolution set to wontfix

OSM downloader has been removed with QGIS 3.0
